From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/labltk/
Date: Fri, 21 Jan 2022 22:05:14 +0000 (UTC) [thread overview]
Message-ID: <1642802701.04567015f131419f60a5c5e4afa21fadb788e4d0.tupone@gentoo> (raw)
commit: 04567015f131419f60a5c5e4afa21fadb788e4d0
Author: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 21 22:05:01 2022 +0000
Commit: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Jan 21 22:05:01 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04567015
dev-ml/labltk: do not call ranlib directly
Closes: https://bugs.gentoo.org/727250
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
dev-ml/labltk/labltk-8.06.10.ebuild | 6 +++++-
dev-ml/labltk/labltk-8.06.11.ebuild | 10 ++++++----
dev-ml/labltk/labltk-8.06.7.ebuild | 13 +++++++++++--
dev-ml/labltk/labltk-8.06.9.ebuild | 12 ++++++++++--
4 files changed, 32 insertions(+), 9 deletions(-)
diff --git a/dev-ml/labltk/labltk-8.06.10.ebuild b/dev-ml/labltk/labltk-8.06.10.ebuild
index 8c4ae9062615..65454bd0eb4e 100644
--- a/dev-ml/labltk/labltk-8.06.10.ebuild
+++ b/dev-ml/labltk/labltk-8.06.10.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-inherit findlib
+inherit findlib toolchain-funcs
DESCRIPTION="OCaml interface to the Tcl/Tk GUI framework"
HOMEPAGE="https://garrigue.github.io/labltk/"
@@ -30,6 +30,10 @@ PATCHES=(
src_prepare() {
has_version "dev-lang/ocaml:0/4.11" && \
eapply "${FILESDIR}"/${P}-this-expression-has-type.patch
+ sed -i \
+ -e "s|ranlib|$(tc-getRANLIB)|" \
+ frx/Makefile \
+ || die
default
}
diff --git a/dev-ml/labltk/labltk-8.06.11.ebuild b/dev-ml/labltk/labltk-8.06.11.ebuild
index 17c7758e6511..ecf7d249b8f1 100644
--- a/dev-ml/labltk/labltk-8.06.11.ebuild
+++ b/dev-ml/labltk/labltk-8.06.11.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit findlib
+inherit findlib toolchain-funcs
DESCRIPTION="OCaml interface to the Tcl/Tk GUI framework"
HOMEPAGE="https://garrigue.github.io/labltk/"
@@ -25,8 +25,10 @@ PATCHES=(
)
src_prepare() {
- has_version "dev-lang/ocaml:0/4.11" && \
- eapply "${FILESDIR}"/${P}-this-expression-has-type.patch
+ sed -i \
+ -e "s|ranlib|$(tc-getRANLIB)|" \
+ frx/Makefile \
+ || die
default
}
diff --git a/dev-ml/labltk/labltk-8.06.7.ebuild b/dev-ml/labltk/labltk-8.06.7.ebuild
index 193ef043c201..e10d95339561 100644
--- a/dev-ml/labltk/labltk-8.06.7.ebuild
+++ b/dev-ml/labltk/labltk-8.06.7.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit findlib
+inherit findlib toolchain-funcs
DESCRIPTION="OCaml interface to the Tcl/Tk GUI framework"
HOMEPAGE="https://garrigue.github.io/labltk/"
@@ -15,6 +15,7 @@ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 x86 ~amd64-linux ~x
IUSE="+ocamlopt X"
RDEPEND=">=dev-lang/tk-8.0.3:=
+ <dev-lang/ocaml-4.10
>=dev-lang/ocaml-4.08:=[ocamlopt?,X(+)?]"
DEPEND="${RDEPEND}
>=dev-ml/findlib-1.5.5-r1"
@@ -23,6 +24,14 @@ PATCHES=(
"${FILESDIR}/findlib.patch"
)
+src_prepare() {
+ sed -i \
+ -e "s|ranlib|$(tc-getRANLIB)|" \
+ frx/Makefile \
+ || die
+ default
+}
+
src_configure() {
./configure --use-findlib --verbose $(usex X "--tk-x11" "--tk-no-x11") || die "configure failed!"
}
diff --git a/dev-ml/labltk/labltk-8.06.9.ebuild b/dev-ml/labltk/labltk-8.06.9.ebuild
index dabb658293ef..7bce5317f51d 100644
--- a/dev-ml/labltk/labltk-8.06.9.ebuild
+++ b/dev-ml/labltk/labltk-8.06.9.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-inherit findlib
+inherit findlib toolchain-funcs
DESCRIPTION="OCaml interface to the Tcl/Tk GUI framework"
HOMEPAGE="https://garrigue.github.io/labltk/"
@@ -15,7 +15,7 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~amd64-li
IUSE="+ocamlopt X"
RDEPEND="dev-lang/tk:=
- <dev-lang/ocaml-4.13
+ <dev-lang/ocaml-4.12
>=dev-lang/ocaml-4.11:=[ocamlopt?,X(+)?]"
DEPEND="${RDEPEND}
dev-ml/findlib
@@ -25,6 +25,14 @@ PATCHES=(
"${FILESDIR}/findlib.patch"
)
+src_prepare() {
+ sed -i \
+ -e "s|ranlib|$(tc-getRANLIB)|" \
+ frx/Makefile \
+ || die
+ default
+}
+
src_configure() {
./configure --use-findlib --verbose $(usex X "--tk-x11" "--tk-no-x11") || die "configure failed!"
}
next reply other threads:[~2022-01-21 22:06 UTC|newest]
Thread overview: 54+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-21 22:05 Alfredo Tupone [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-25 12:04 [gentoo-commits] repo/gentoo:master commit in: dev-ml/labltk/ Andreas K. Hüttel
2024-06-22 15:28 Alfredo Tupone
2024-06-22 15:28 Alfredo Tupone
2023-03-30 17:38 Arthur Zamarin
2023-02-15 18:38 Matt Turner
2023-02-11 14:32 Alfredo Tupone
2022-12-26 2:03 WANG Xuerui
2022-11-19 1:35 Sam James
2022-06-28 20:25 Alfredo Tupone
2022-04-05 10:38 Alfredo Tupone
2022-01-12 19:12 Alfredo Tupone
2021-11-07 7:01 Sam James
2021-11-07 1:25 Sam James
2021-10-17 19:09 Sam James
2021-10-17 0:13 Sam James
2021-10-13 6:02 Agostino Sarubbo
2021-10-13 5:54 Agostino Sarubbo
2021-09-30 6:35 Alfredo Tupone
2021-06-09 21:34 Sam James
2021-05-25 19:42 Alfredo Tupone
2020-10-16 10:33 Miroslav Šulc
2020-06-04 17:14 Mart Raudsepp
2020-02-12 7:53 Agostino Sarubbo
2020-02-12 7:47 Agostino Sarubbo
2020-02-11 12:39 Agostino Sarubbo
2020-02-11 11:36 Agostino Sarubbo
2020-02-11 10:54 Agostino Sarubbo
2020-02-11 8:36 Agostino Sarubbo
2020-01-04 18:16 Miroslav Šulc
2017-11-04 9:53 Alexis Ballier
2017-11-04 9:53 Alexis Ballier
2017-07-19 21:30 Alexis Ballier
2017-06-18 15:14 Alexis Ballier
2017-02-14 9:31 Alexis Ballier
2017-02-12 19:59 Markus Meier
2017-01-29 23:02 Jeroen Roovers
2017-01-26 15:28 Agostino Sarubbo
2017-01-26 11:00 Agostino Sarubbo
2017-01-26 10:22 Agostino Sarubbo
2017-01-25 19:21 Tobias Klausmann
2017-01-25 15:52 Agostino Sarubbo
2017-01-25 15:35 Agostino Sarubbo
2017-01-25 14:29 Agostino Sarubbo
2017-01-14 17:14 Mikle Kolyada
2016-11-29 15:05 Alexis Ballier
2016-04-30 14:18 Alexis Ballier
2016-02-04 17:24 Tobias Klausmann
2015-11-21 14:27 Markus Meier
2015-11-12 11:21 Agostino Sarubbo
2015-11-11 9:54 Agostino Sarubbo
2015-11-10 12:01 Agostino Sarubbo
2015-11-03 4:14 Jeroen Roovers
2015-11-01 11:12 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1642802701.04567015f131419f60a5c5e4afa21fadb788e4d0.tupone@gentoo \
--to=tupone@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox